export default function Node(node) {
    let traits = [
        "labels"
    ]
    for(let i = 0; i < traits.length; i++) {
        if(!node[traits[i]]) {
            throw new Error(`Node is missing field "${traits[i]}": ${JSON.stringify(node)}`)
        }
    }
}